<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Output Library</h1>

		<p>The output library is a small class used to send the finalised web page to the browser.  It is also
		responsible for caching.</p>

		<p><i>Note</i>: this library is loaded automatically by CarbonPHP.</p>

		<p>Normally you will not notice or interact with the output class.</p>
	</div>

	<div class="content">
		<h1>$this->output->set_final_output()</h1>

		<p>This lets you set the final output string.</p>

		<div class="example">
			$this->output->set_final_output($data);
		</div>

		<p><i>Note</i>: if you do manually set your output it must be the last thing done when you call it.</p>
	</div>

	<div class="content">
		<h1>$this->output->get_final_output()</h1>

		<p>This lets you manually get the data as a string that will be sent to the browser.</p>

		<div class="example">
			$data = $this->output->get_final_output();
		</div>

		<p><i>Note</i>: data will only be available from this method only if the data has previously been sent to
		the browser.</p>
	</div>

	<div class="content">
		<h1>$this->output->set_header_data()</h1>

		<p>This lets you manually set any server headers, which the output class will send for you.</p>

		<div class="example">
			$this->output->set_header_data('HTTP/1.0 200 OK');<br />
			$this->output->set_header_data('HTTP/1.1 200 OK');<br />
			$this->output->set_header_data('Last-modified: ' . gmdate('D, d M Y H:i:s', $last_update) . 'GMT');<br />
			$this->output->set_header_data('Cache-Control: no-store, no-cache, must-revalidate');<br />
			$this->output->set_header_data('Cache-Control: post-check=0, pre-check=0, false);<br />
			$this->output->set_header_data('Pragma: no-cache');
		</div>
	</div>

	<div class="content">
		<h1>$this->output->enable_profiler()</h1>
		
		<p>This method allows you to enable or disable the Profiler, which will display benchmark and other data at the
		bottom of your pages for debuggign and optimisation purposes.</p>

		<div class="example">
			$this->output->enable_profiler(true);
		</div>

		<p>This will enable profiling, and a report will be generated and displayed at the bottom of your pages.</p>

		<div class="example">
			$this->output->enable_profiler(false);
		</div>
	</div>
</body>

</html>
